Блог пользователя Malinovsky239

Автор Malinovsky239, 14 лет назад, По-русски

Всем привет!

Сегодня в 19:30 по Московскому времени состоится 140-й раунд Codeforces. Соревнование пройдет в обоих дивизионах.

Автором задач сегодняшнего раунда являюсь я, Илья Малиновский, студент 1-го курса мат-меха СПбГУ. Это мой первый контест на Codeforces.

Хочется поблагодарить Геральда Агапова (Gerald) за колоссальную помощь в подготовке раунда, Марию Белову (Delinur) за перевод условий на английский язык и Михаила Мирзаянова (MikeMirzayanov) за саму возможность готовить контесты (а также в них участвовать) на базе Codeforces.

Участникам предстоит традиционно выступить в роли спасителей всех и вся от разнообразных бед и невзгод. У вас будет два часа на то, чтобы помочь былинному богатырю, инопланетянину, благородному рыцарю и другим персонажам. Кроме того, в одной из задач найдется место и антагонистам: в их роли выступят коварные кучки камней...

Надеюсь, что задачи понравятся всем участникам (зачем хотеть того, чего не бывает) подавляющему большинству участников.

Успехов!

P.S. Информация о разбалловке появится незадолго до начала раунда.

upd. Разбалловка стандартная в обоих дивизионах.

upd 2 Раунд завершён!

Поздравляем победителей!

div1:

  1. peter50216

  2. Dmitry_Egorov

  3. Egor

  4. RAVEman

  5. bmerry

У победителей по 3-4 задачи. Задача E не покорилась ни одному участнику.

div2:

  1. Velicue (он единственный в дивизионе сдал все 5 задач)

  2. Frommi

  3. Aerolight

  4. Shahriar_sust

  5. bzdbz

Всем спасибо за участие! Надеюсь, в целом все понравилось. До новых встреч!

P.S. Разбор будет опубликован завтра вечером.

Полный разбор

  • Проголосовать: нравится
  • +235
  • Проголосовать: не нравится

»
14 лет назад, скрыть # |
← Rev. 2  
Проголосовать: нравится -107 Проголосовать: не нравится

Вы вообще офигели кто минусует меня, тупые свиньии.

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +14 Проголосовать: не нравится

"Сегодня в 19:30 по Московскому времени" — по-возможности нельзя ли пожалуйста указывать к какому дню относится "сегодня". Я понимаю что в большинстве случаев это можно вычислить по дате поста... Которая выглядит как "столько-то часов назад"... Но всё же. ;-)

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +79 Проголосовать: не нравится

Всем желаю слить и опуститься в рейтинге!
Ну а если серьёзно, то чтобы задачи порадовали и, возможно, научили чему-то новому.

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +6 Проголосовать: не нравится

// Информация о разбалловке появится незадолго до начала раунда.

А почему так?

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

Осенний пессимизм на КФ — положительный пост с пожеланиями успехов заминусовали, а пожелания слить рейтинг — +25

  • »
    »
    14 лет назад, скрыть # ^ |
     
    Проголосовать: нравится +22 Проголосовать: не нравится

    я может быть понял

    Здесь сливаются любые посты, кроме: 1) нормально-средних шуточек-прибауточек 2) постов красных (не видел ни разу, чтобы красных именно слили; может, так бывает, но это скорее исключение) 3) нормально-средних вопросов/ответов участников

    А вот посты с пожеланиями удачи минусуются вне зависимости от того, какое количество няшности автор в него вложил)

»
14 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Вопрос по системе в целом: доступна ли эта фича сайта во время соревнования?

P.S. Да, абсолютно верное решение всегда проходит по времени с запасом и эта фича не нужна. :)

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +4 Проголосовать: не нравится

I have a question. In round #138 they explicitly said that "D language will not be available on this contest.". In the emails I get I don't ever see it mentioned in the list of available languages. What's up with that? :)

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +9 Проголосовать: не нравится

Attention CHelper users. Codeforces for whatever reason slightly changed task pages format (capitalizing some tags) rendering CHelper not possible to parse tasks. Please update your plugins through File->Settings...->Plugins, right click on CHelper->Update plugin


Пользователи CHelper, Codeforces по какой-то причине слегка изменил формат страниц с задачами (некоторые теги стали большими буквами). Старая версия CHelper не может их распарсить. Обновите плагин через File->Settings...->Plugins, правый клик по CHelper->Update plugin

»
14 лет назад, скрыть # |
 
Проголосовать: нравится -7 Проголосовать: не нравится

I have the impression that today... tourist, again surpass the 3000 points ... A new range? Something like Intergalactic Grandmaster? LOL

»
14 лет назад, скрыть # |
← Rev. 2  
Проголосовать: нравится -45 Проголосовать: не нравится

Читайте спойлер!!!!!

»
14 лет назад, скрыть # |
 
Проголосовать: нравится -16 Проголосовать: не нравится

Can somebody explain C. I can't understand it :(

»
14 лет назад, скрыть # |
 
Проголосовать: нравится -19 Проголосовать: не нравится

why my C got wrong answer at pretest 1? I already same as the sample IO

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

Первый раз участвую, поясните , почему может постоянно быть ошибка на претесте 1.(задача В) Хотя код гонял на куче тестов и он работал?

p.s писать ответ надо в standard.output или в standard output?

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +9 Проголосовать: не нравится

Anyone search ideas from Google for E(Div 2)/C(Div 1) like me?

  • »
    »
    14 лет назад, скрыть # ^ |
    ← Rev. 2  
    Проголосовать: нравится +6 Проголосовать: не нравится

    We can use fact, that gcd(Fibx, Fiby) = Fibgcd(x, y). But I have still no correct idea how to get subset with maximal gcd(since binary search is wrong).

    • »
      »
      »
      14 лет назад, скрыть # ^ |
      ← Rev. 2  
      Проголосовать: нравится +5 Проголосовать: не нравится
      def d_down( r,l,k ):
        d = (r-l)/(k-1)                                    ### 1 below
        while d > 1:                                       ### 4 below
          if (1+(r/d)-((l+d-1)/d))>=k: return d            ### 2 below
          N = 1 + (r/d)                                    ### 3.2 below
          d -= ( ((N*d)-r) + (N-1) ) / N                   ### 3.4 below
        return 1
      
      """
      basically` 
      1) (r-l)/(k-1) is the maximum possible d, given r, l and k
      2) the if...return tests if k d's fit between l and r
      3) if not, then d must decrease; can't loop decrement (d-=1) with 1E12 ranges, so
      3.1) R = d * (1 + r/d) is a multiple of d greater than r, and
      3.2) N = (1 + r/d) is the multiplier of d that gets to that R = N*d, so
      3.3) (N*d - r) is how far R has to drop to be <= r, so
      3.4) ((N*d-r) + (N-1)) / N is the minimum decrease in d which will drop R to <= r
      4) go back to 2) above, with decreased, new d
      
      e.g. input m,101,200,2  (answer is 66: *2=132; *3=198)
      
      Initial d = 200 - 101 = 99
      but only one multiple of 99 between 101 and 200 inclusive, i.e. 198
      
             101                       200                    ## boundaries r and l
           99                       198              297      ## multiples of max possible d; R=297; N=3
      
      and if you start decreasing d from 99, then
      
        98                      196              294           ## multiples of d-1
      97                    194               291              ## multiples of d-2
      ...
      

      so, as d decrements, the numbers on the right (3*d) move faster (3x decrease in d) to get inside 200 than the numbers in the middle (2*d) move to go past 101 (2x decrease in d). the number on the right reaches (or passes) r when 3*d <= 200 i.e. the decrease in d will be the formula in 3.4 above i.e. ( (3*99 — 200) + (3-1) ) / 3 = 33.

      the only question is whether 2*d has by that time dropped below l (101), but if it has then repeat the loop.

      • »
        »
        »
        »
        14 лет назад, скрыть # ^ |
         
        Проголосовать: нравится +1 Проголосовать: не нравится

        If you want ugly, it's only 11 lines of python:

        import sys
        def recfib(n,m):
          if n==0: return (0,1,)
          a, b = recfib(n / 2,m)
          return ( [ a*(((2*b)-a)%m), ((b*b)%m)+((a*a)%m)][n%2], [ ((b*b)%m)+((a*a)%m), b*((2*a+b)%m)][n%2], )
        m,l,r,k = map( int, sys.stdin.readline().strip().split()[:4] )
        D = (r-l)/(k-1)
        while D > 1 and (1+(r/D)-((l+D-1)/D))<k:
          N = 1 + (r/D)
          D -= ( ((N*D)-r) + (N-1) ) / N
        print( recfib( D, m)[0] )
        

        only four lines implement the algorithm for the fib. index, the rest is i/o (3 lines) and the index-to-fib# function.

        • »
          »
          »
          »
          »
          14 лет назад, скрыть # ^ |
           
          Проголосовать: нравится 0 Проголосовать: не нравится

          Nice solution! Can you explain that the meaning of (a, b) in a, b = recfib(n, m)

          I guess a is the n(th) fib number. But what's b?

        • »
          »
          »
          »
          »
          14 лет назад, скрыть # ^ |
           
          Проголосовать: нравится 0 Проголосовать: не нравится

          Your code cannot pass the tests. You put the '%m' in wrong places. After my modification it passed.

          And, spliting the long long return statement in recfib using the V1 if C else V2 expression would make the code faster, since that can supress the useless evaluation.

              return ((b*b+a*a)%m, b*(2*a+b)%m) if n%2 else (a*((2*b)-a)%m, ((b*b+a*a))%m)
          

          See, it's only 80 chars. You don't even need to break the line.

          • »
            »
            »
            »
            »
            »
            14 лет назад, скрыть # ^ |
             
            Проголосовать: нравится 0 Проголосовать: не нравится

            Thanks, you are right, I forgot about the ternary operator added in 2.5 that will short-circuit to evaluate just one of the paths. I just read about it the other day, too.

            And yes, the version I posted is not the one that worked: I added %m's after the [n%2] selectors in the return statement and it passed. Actually, your version may not pass if, for example, (b*b+a*a) overflows. Ihat's why I put so many %m ops in there. And I still think either mine or yours could fail if given the right parameters; using this construct ((VALUE%m)+m)%m) a few times should fix it though. Python may be hiding some of our problems and be more robust here because of automatic type promotion on overflow.

            Btw, I got it down to 10 lines (raw_input() instead of "import sys" & sys.stdin.readline()). That uses the ugly return construct, but the important thing to note is that the guts of the program, the GCD loop, only takes four lines.

            • »
              »
              »
              »
              »
              »
              »
              14 лет назад, скрыть # ^ |
               
              Проголосовать: нравится 0 Проголосовать: не нравится

              Actually, you don't need so many '%m' in python. For example, it will convert to long for you automatically if a*a+b*b run out of the range of int. And -1 % 5 == 4 in python.

              Btw, after I copy your code to my editor, the first thing I do is to remove the import line and replace sys.stdin... by raw_input().split().

              • »
                »
                »
                »
                »
                »
                »
                »
                14 лет назад, скрыть # ^ |
                ← Rev. 2  
                Проголосовать: нравится 0 Проголосовать: не нравится

                thanks.

                i know python promotes the type on overflow, i'm just cautious and then i don't have to think about the range of m.

                and thanks for the raw_input() thing; i know it's there but i think that changes or breaks in V3 so i tend to not use it a lot; again, i'm cautious.

                i didn't know % alway goes to a positive number; i started doing the extra +m)%m in C++. but since that's the case then even overflows are not a problem.

                hey, could the %m generate a premature n==0 in the recursive fib routine? would it matter?

        • »
          »
          »
          »
          »
          14 лет назад, скрыть # ^ |
           
          Проголосовать: нравится 0 Проголосовать: не нравится

          2251104 Even shorter(7 lines) with functional style. Accepted.

          def recfib(n,m):
              if n == 0: return (0, 1)
              a, b = recfib(n / 2,m)
              return ((b*b+a*a)%m, b*(2*a+b)%m) if n%2 else (a*((2*b)-a)%m, ((b*b+a*a))%m)
          def next_d(D): return D if 1+r/D-(l+D-1)/D>=k else next_d(D-(D-r%D+r/D)/(1+r/D))
          m, l, r, k = map(long, raw_input().split())
          print recfib(next_d((r-l)/(k-1)), m)[0]
          
          # Trick to remove N from the code: N = 1 + r / D
          # D -= (N*D-r + N - 1)/N
          #   N*D - r = (D + r - r % D - r) = (D - r % D)
          #   N*D - r + N - 1 = D - r % D + r / D
          
          
      • »
        »
        »
        »
        14 лет назад, скрыть # ^ |
         
        Проголосовать: нравится 0 Проголосовать: не нравится

        A really nice solution Thank you !

»
14 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Как решать div2 D?

»
14 лет назад, скрыть # |
← Rev. 2  
Проголосовать: нравится +30 Проголосовать: не нравится

Задача C великолепна) Давно уже стольких эмоций от взломов не получал. Для всех интересующихся что же не так — бинпоиск не работает ни в каком виде. Тест — 123456789 100000000000 300000000000 3

P.s. В целом задачи очень интересные, один из немногих раундов, где действительно надо думать, а не просто тупо писать километры кода.

»
14 лет назад, скрыть # |
 
Проголосовать: нравится -10 Проголосовать: не нравится

С(Div 2) прям на второй странице гугла. Пичаль :-(

»
14 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

классный контест. как решать Б, и на чем ломали С?

  • »
    »
    14 лет назад, скрыть # ^ |
    ← Rev. 4  
    Проголосовать: нравится +3 Проголосовать: не нравится

    В Б прошла следующая штука:
    Для k = 1 ответ очевиден, сразу посчитаем его за линию.
    Для k > 1 посмотрим, что нам будет нужно как максимум 1 кучку ни к кому не подцеплять, как максимум k кучек подцеплять один раз, и как максимум k^x кучек подцеплять x раз(из них все кроме одного непосредственно). Каждое подцепление добавляет ровно массу кучки к ответу.
    Отсортируем массив по невозрастанию и первый элемент добавим с множителем 0, следующие k с множителем 1, следующие k^2 с множителем 2 и т.д. Если будем считать ответ на подотрезке за O(1) суммами на префиксах, то итого выйдет что-то вроде logkn.

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +6 Проголосовать: не нравится

мне кажется, или Д уже бывала на контестах?

»
14 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Расскажите пожалуйста решение Div 1 D

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

Во время решения задачи С из этого контеста у меня возникла следующая подзадача: Найти наибольшее x такое что на отрезке с l по r есть не менее k чисел кратных x. Я умею решать такую подзадачу за O( sqrt(r) ). Можно ли быстрее?

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

In my opinion, these OEIS problems don't add anything to the contest.

»
14 лет назад, скрыть # |
← Rev. 2  
Проголосовать: нравится 0 Проголосовать: не нравится

Повёлся на то, что C(Div1) сдают больше чем B. Своими руками нашёл способ вычисления номера числа Фибоначчи, которое окажется ответом на задачу (если я не ошибся нигде, конечно). Вот только вычисление Fn быстрее чем за О(n) мне оказалось не под силу, а копипастить нагугленный чужой малопонятный код счёл нечестным.

Вопрос: есть ли решение задачи без вычисления Fn с помощью матриц?

»
14 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

I can't understand, why my O(8log(10^12)) got TL. Submission #2245668 ?

»
14 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Problem E in div2 is quite tricky...when I realized what i had done wrong it's all too late. congrats to those who solved this problem successfully.

»
14 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Долго ещё ждать системное тестирование?

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +4 Проголосовать: не нравится

Е скучная — напишите HL декомпозицию с бинарным поиском за n log^2 n вместо n log^(3+) n. Остальные задачи зачотные, но С, конечно, не на своем месте с такими претестами

  • »
    »
    14 лет назад, скрыть # ^ |
     
    Проголосовать: нравится +3 Проголосовать: не нравится

    Можно без декомпозиции, с персистентным деревом отрезков. Это заметно короче, и с большим запасом укладывается в TL.

    • »
      »
      »
      14 лет назад, скрыть # ^ |
       
      Проголосовать: нравится +12 Проголосовать: не нравится

      Тогда тоже клевая задачка. Жаль, что я не придумал. А кстати, так ведь можно любую HL декомпозицию, где нету изменений. Клево

»
14 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Расскажите решение задачи C div 2

  • »
    »
    14 лет назад, скрыть # ^ |
     
    Проголосовать: нравится -7 Проголосовать: не нравится

    Ответ: (3^N — 1) % M. 3^N считаем бинарным возведением в степень

  • »
    »
    14 лет назад, скрыть # ^ |
     
    Проголосовать: нравится +2 Проголосовать: не нравится

    Если почертить, то становится понятно, что состояний всего 3N, следовательно, переходов будет сделано 3N - 1. Осталось только прикрутить к этому быстрое возведение в степень, взятие по модулю и грамотное по модулю вычитание. Как сделать первое, описано, например, здесь, взятие по модулю вставляется после каждой операции умножения, а грамотное вычитание описывается так: res = (pow(n) + m - 1)modm.

»
14 лет назад, скрыть # |
 
Проголосовать: нравится -6 Проголосовать: не нравится

Никто не знает, что будет, если был зарегистрированный, но не получилось прийти и не сделал ни одной отправки?

»
14 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

How can we solve DIV 2 E ? How can we get the maximum gcd of all the k element subsets between L and R ?

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +14 Проголосовать: не нравится

Блин, делать модуль равный единице в задачах на ответ по модулю вообще не клево. =(

»
14 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Anyone thinks that A in Div2 is more difficult than B?

»
14 лет назад, скрыть # |
← Rev. 4  
Проголосовать: нравится +6 Проголосовать: не нравится

The problemsets are good, thanks, Malinovsky239. However, some statement clarifications are wanted. Thanks for any reply.

div2(D)/div1(B):

"each pile will let you add to it not more than k times (after that it can only be added to another pile)". Assuming adding pile i to pile j, we name i as addend, j as summand, then is the constraint saying which role(addend or summand) can be used at most k times?

div2(E)/div1(C):

"for each such subset let's find the largest common divisor of Fibonacci numbers with indexes", does this refers to the elements of subsets indexing at 1,2,3,5,8...?

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +4 Проголосовать: не нравится

Binary search in Div1.C is incorrect :(
l=7, r=14, k=2:
7 — ok
6 — not

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +7 Проголосовать: не нравится

А как получилось, что задача из сета вплоть до ограничений совпала с задачей, бывшей на относительно недавней олимпиаде?

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +5 Проголосовать: не нравится

Message received from user "messsi" during todays contest:

"

send me you code of A please man and i send me code of B ok???? this is my code of B now you send me your code please

/* His problem b code here.. */

"

»
14 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Всё-таки по-моему давать задачей A во втором дивизионе геометрию, это как-то жестоко.

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

Вот это жесть... в D у меня прошел тупой рандом. Пока есть плохие линии (ряды или колонки) берем из них случайную и ее минусуем. Это самая простая задача сета :)

  • »
    »
    14 лет назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    Ну это почти авторское решение ;)

  • »
    »
    14 лет назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    Это правильно.

  • »
    »
    14 лет назад, скрыть # ^ |
    ← Rev. 2  
    Проголосовать: нравится 0 Проголосовать: не нравится

    1. Утверждение: этот процесс сходится.

    Рассмотрим общую сумму элементов матрицы. Она может быть вычислена как сумма сумм всех строк (столбцов). Очевидно, что изменение знака с отрицательного на положительный увеличивает сумму всех строк (столбцов).

    2. Этот процесс сходится быстро.

    Всего существует не более 10^6 + 1 различных возможных сумм (максимальная сумма 10^6 по модулю, четность сохраняется). Итого это точно работает не дольше, чем за 10^6 операций. Если каждая операция реализована за O(max(N,M)) (это легко), получаем сложность 10^8 -- OK.

    • »
      »
      »
      14 лет назад, скрыть # ^ |
      ← Rev. 2  
      Проголосовать: нравится +15 Проголосовать: не нравится

      3) Этот процесс сходится очень быстро, либо тесты слабые

      У меня каждая операция реализована за O(N*M) и все равно — ОК

      4) Задача не стоит 2000 баллов

      Прямое следствие 1.-3.

      • »
        »
        »
        »
        14 лет назад, скрыть # ^ |
         
        Проголосовать: нравится 0 Проголосовать: не нравится

        3) Даже чтобы получить 10^5/2 (оценочная граница захода N*M) итераций, нужно непонятно какую матрицу сделать. Ограничение 10^6 исходит из плохо совместимых утверждений: все числа порядка 100 и при этом отрицательные суммы порядка -1.

        4) Оценка субъективна. В целом — не очень понятно, как оценивать сложность решения задачи, когда доказательство того, что решение правильно, сложнее идеи решения. ИМХО — да, эта задача не стоит 2000.

        Кстати, в решении жуткие мотивы холодильника из братьев пилотов, правда, я не умею там доказывать аналогичную эвристику "срисовать и протыкать все неправильные; повторять до посинения", а правильное решение вообще строится из специфического инварианта.

»
14 лет назад, скрыть # |
 
Проголосовать: нравится -7 Проголосовать: не нравится

Классно то, что впервые за последние N контестов не было задержки на 15 минут)

»
14 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Using "int" instead of long long caused system test fail (A. div 2) :(

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +41 Проголосовать: не нравится
»
14 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

ждем обновления рейтинга

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +2 Проголосовать: не нравится

Based on the number of people solving, C and D should be exchanged their order in Div 1.

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

also in Div. 2 , A and B should change their order based on difficulty level or no. of people solved.

  • »
    »
    14 лет назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    No, binary search and sorting are more difficult than school geometry.

    • »
      »
      »
      14 лет назад, скрыть # ^ |
       
      Проголосовать: нравится +4 Проголосовать: не нравится

      I suck at geometry and honestly I don't really like it either. And like me are a lot of Div2 participants.

      • »
        »
        »
        »
        14 лет назад, скрыть # ^ |
         
        Проголосовать: нравится +2 Проголосовать: не нравится

        maybe, be we all suck at something. i had no idea about the GCD(FIB(N),FIB(M)) = FIB(GCD(N,M)) thing, but a quick google of GCD and fibonacci, plus a bit of number sense, and I was five minutes from being only the second Div-2 participant to solve E during the contest (it was trivially solved in my mind once I talked to the Google). At the same time, I still don't have a clue how to approach the lower-rated Div-2/D (I know it's probably DP from looking at others' code but the application of DP is still somewhat of a black art to me). I know you (Play...B4) have number sense because of your F(N)=3^n-1 derivation for Div-2/C, so you could have been one conversation with the Google away from solving E, too.

        So what PlayLikeNeverB4 is saying is that PlayLikeNeverB4 is normative — "... and like me are lot of Div2 participants." I am Div2 and have been doing geometry almost daily for at least of couple of dozen years. That was a trivial problem to me, but I understand that not everyone has the same strengths. But if you have been doing this for a number of years and haven't at least spent the time to understand some basic geometry (cross- and dot-product problems are not at all rare), then you will always be Div-2 (like me: DP is my insurmountable hurdle, apparently).

        And bilbo1 may be saying that bilbo1 is normative.

        The original posts, "Based on the number of people solving, ..." are probably the closest to stating what is actually normative, but people that do programming contests are self-selecting so even that sampling is suspect.

        What I would like to say is that Malinovsky239 made up an excellent problem set (with the difficulty ratings based on assuming Malinovsky239 is normative?;-) and second-guessing the difficulty level is a bit impolite without at least complimenting the problemset author on a job well done.

        Make up your own problem set and then see how you feel when people comment about the ratings.

    • »
      »
      »
      14 лет назад, скрыть # ^ |
       
      Проголосовать: нравится 0 Проголосовать: не нравится

      Но в задаче B не нужно ни то, ни другое=)

»
14 лет назад, скрыть # |
← Rev. 2  
Проголосовать: нравится -17 Проголосовать: не нравится

s

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +4 Проголосовать: не нравится

I always receive mails from codeforces after the contest is over! Can anyone tell me what needs to be done to correct this. And the delay is not of about two hours which is the difference between my and codeforces timezone but instead I receive mails on the next day.

Sorry if this does not belong here. Thanks

»
14 лет назад, скрыть # |
 
Проголосовать: нравится +13 Проголосовать: не нравится

Извините не по теме у меня такая проблема. Уведомления о проведении олимпиад на Codeforces приходят на мою почту после начала олимпиады. Например: последний олимп был вчера вечером, а сообщение пришло сегодня утром. Может кто-нибудь помочь? Заранее спасибо

»
14 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Where can I find English editorial?

»
14 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

@Mike: I can't understand the solution to problem D Div 2 :Please can you write more elaborate reasoning for your solution